# draugr.metrics.metric_aggregator.MetricAggregator

class draugr.metrics.metric_aggregator.MetricAggregator(measures=['StatisticsError', 'fmean', 'geometric_mean', 'harmonic_mean', 'mean', 'median', 'median_grouped', 'median_high', 'median_low', 'mode', 'multimode', 'pstdev', 'pvariance', 'quantiles', 'stdev', 'variance'], keep_measure_history=False, use_disk_cache=True)

  Bases: `object`

  description

  __init__(measures=['StatisticsError', 'fmean', 'geometric_mean', 'harmonic_mean', 'mean', 'median', 'median_grouped', 'median_high', 'median_low', 'mode', 'multimode', 'pstdev', 'pvariance', 'quantiles', 'stdev', 'variance'], keep_measure_history=False, use_disk_cache=True)

  Methods

  `__init__`([measures, keep_measure_history, ...]) |

  `add`(values)

  param values

  `append`(values)

  param values

  `calc_moving_average`([window_size])

  param window_size

  `calc_running_value`([new_val, lambd])

  param new_val

  `save`(*, stat_name[, project_name, ...])

  param stat_name

  Attributes

  `max` | return: :rtype:
  `measures` | return: :rtype:
  `min` | return: :rtype:
  `values` | return: :rtype:

  add(values)
    Parameters

      values –

  append(values)
    Parameters

      values –

  calc_moving_average(window_size=100)
    Parameters

      window_size –

    Returns

    Return type

  calc_running_value(new_val=None, *, lambd=0.99)
    Parameters

      - new_val –

      - lambd –

    Returns

    Return type

  property max

    return: :rtype:

  property measures

    return: :rtype:

  property min

    return: :rtype:

  save(*, stat_name, project_name='non', config_name='non', directory='logs')
    Parameters

      - stat_name –

      - project_name –

      - config_name –

      - directory –

  property values

    return: :rtype: